function Hd = bandpass_filter_2(FPS, lowbpm, highbpm, order1)
%function Hd = bandpass_filter_2
%BANDPASS_FILTER_2 Returns a discrete-time filter object.

% MATLAB Code
% Generated by MATLAB(R) 9.2 and the DSP System Toolbox 9.4.
% Generated on: 21-Jul-2017 14:24:59
% Modified by: Jaromir Przybylo, 23.03.2018

% FIR Window Bandpass filter designed using the FIR1 function.

% All frequency values are in Hz.
Fs = FPS;  % Sampling Frequency

N    = order1;            % Order
Fc1  = lowbpm/60;         % First Cutoff Frequency
Fc2  = highbpm/60;        % Second Cutoff Frequency
flag = 'scale';        % Sampling Flag
% Create the window vector for the design algorithm.
win = barthannwin(N+1);

% Calculate the coefficients using the FIR1 function.
b  = fir1(N, [Fc1 Fc2]/(Fs/2), 'bandpass', win, flag);
Hd = dfilt.dffir(b);

% [EOF]
