function [sumr, sumb, sumg, roi1] = roiSelection_1(RGB, bboxPolygon)
%                
% INFO:  Compute sum of pixel values inside ROI
% INPUTS:
% > RGB             - input RGB image [M*N*3], UINT8
% > bboxPolygon     - [x1 y1 x2 y2 x3 y3 x4 y4] vector of face polygon, UINT32
% OUTPUTS:
% > sumr, sumg, sumb - sum of pixel values inside ROI
% > roi1            - computed ROI
% DEPENDICIES:
% COMMENTS:
% CREATED: 23.03.2018, Jaromir Przybylo (przybylo@agh.edu.pl), R2017b
% LAST MODIFIED: 
%
%#codegen

% - ROI selection    
if ~isempty(bboxPolygon)&&sum(bboxPolygon)>0
    minx = min(single(bboxPolygon(1:2:end)));
    miny = min(single(bboxPolygon(2:2:end)));
    maxx = max(single(bboxPolygon(1:2:end)));
    maxy = max(single(bboxPolygon(2:2:end)));            
    %faceROI = imcrop(RGB,[minx miny maxx-minx-1 maxy-miny-1]);
    %%maxy= miny; miny = miny - deltay/6; 
    deltax= maxx-minx;deltay= maxy-miny;            
    maxy= miny + deltay/12;miny = maxy + deltay/6; 
    minx = minx+0.3*deltax;maxx = maxx-0.3*deltax;
    roi1 = [minx maxy maxx-minx-1 miny-maxy-1];
    HRROI = imcrop(RGB,roi1);    
    sumr = sum(sum(single(HRROI(:,:,1)))) / numel(HRROI(:,:,1));
    sumg = sum(sum(single(HRROI(:,:,2)))) / numel(HRROI(:,:,2));
    sumb = sum(sum(single(HRROI(:,:,3)))) / numel(HRROI(:,:,3));          
else
    sumr = single(0);           % corrected for code generation
    sumg = single(0);           % corrected for code generation
    sumb = single(0);           % corrected for code generation
    roi1 = single([0 0 0 0]);   % corrected for code generation
end
